package ru.vyatsu.qr_access_api.qr.service

import org.springframework.security.core.context.SecurityContextHolder
import org.springframework.stereotype.Service
import ru.vyatsu.models.QrCode
import ru.vyatsu.qr_access_api.qr.repository.QrRepository

@Service
class QrSyncService(val qrRepository: QrRepository) {
    fun getQrCodes(): List<QrCode> {
        val sc = SecurityContextHolder.getContext()
        return qrRepository.getActualQrCodesByUnitId(sc.authentication.name)
    }
}