package ru.vyatsu.qr_access_api.qr.controller

import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.RestController
import ru.vyatsu.apis.QrApi
import ru.vyatsu.models.QrCodesResponse
import ru.vyatsu.qr_access_api.qr.service.QrSyncService

@RestController
class QrSyncController(val syncService: QrSyncService) : QrApi {

    override fun getQrCodes(): ResponseEntity<QrCodesResponse> =
        ResponseEntity.ok(QrCodesResponse(syncService.getQrCodes()))
}