package ru.vyatsu.qr_access_api.slots.controller

import org.springframework.web.bind.annotation.*
import ru.vyatsu.qr_access_api.slots.response.SlotResponse
import ru.vyatsu.qr_access_api.slots.service.SlotService

@RestController
@RequestMapping("public")
class SlotsController(val service: SlotService) {

    @GetMapping("/slots/{partnerId}")
    fun getSlots(@PathVariable partnerId: String): SlotResponse {
        return service.getAllSlotsByPartner(partnerId)
    }
}